Closed Bug 954166 Opened 7 years ago Closed 7 years ago

Add buddy and join chat dialogs poorly positioned when there's no buddy list

Categories

(Instantbird :: Contacts window, defect)

x86
Other
defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: florian, Assigned: florian)

References

Details

(Whiteboard: [0.3-wanted-final])

*** Original post on bio 732 at 2011-03-17 18:49:00 UTC ***

The Add Buddy and Join Chat dialogs are opened as modal dialogs using the current window as a parent.
It wasn't great when it was the buddy list, but now that it's possible to have only the hiddenWindow, it's very incorrect because the dialogs appear attached to something in the top left corner of the screen, and it makes a white area appear when the dialog is closed (I guess it's a part of the hiddenWindow which becomes visible :-/).
Blocks: 953475
Whiteboard: [0.3-wanted]
Whiteboard: [0.3-wanted] → [0.3-wanted-final]
*** Original post on bio 732 at 2011-06-15 17:58:29 UTC ***

https://hg.instantbird.org/instantbird/rev/9fb2ea78e742
Assignee: nobody → florian
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.0
*** Original post on bio 732 at 2011-06-17 00:03:44 UTC ***

Follow-up: https://hg.instantbird.org/instantbird/rev/b5fa7bc7485a fix a trivial mistake that caused the add buddy dialog to open instead of the join chat dialog.
You need to log in before you can comment on or make changes to this bug.